Package org.h2gis.functions.spatial.distance

# Class ST_LocateAlong

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.distance.ST_LocateAlong

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_LocateAlong extends org.h2gis.api.DeterministicScalarFunction
ST_LocateAlong returns a MULTIPOINT containing points along the line segments of the given geometry matching the specified segment length fraction and offset distance. A positive offset places the point to the left of the segment (with the ordering given by Coordinate traversal); a negative offset to the right. For areal elements, only exterior rings are supported.

Author:
  Adam Gouge, Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_LocateAlong()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.MultiPoint`
`locateAlong(org.locationtech.jts.geom.Geometry geom, double segmentLengthFraction, double offsetDistance)`
Returns a MULTIPOINT containing points along the line segments of the given geometry matching the specified segment length fraction and offset distance.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_LocateAlong

public ST_LocateAlong()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### locateAlong

public static org.locationtech.jts.geom.MultiPoint locateAlong(org.locationtech.jts.geom.Geometry geom, double segmentLengthFraction, double offsetDistance)
Returns a MULTIPOINT containing points along the line segments of the given geometry matching the specified segment length fraction and offset distance.

Parameters:
  `geom` - Geometry
  `segmentLengthFraction` - Segment length fraction
  `offsetDistance` - Offset distance
Returns:
  A MULTIPOINT containing points along the line segments of the given geometry matching the specified segment length fraction and offset distance